<!--
// -----------------------------------------------------------------------------
// Globals
// Major version of Flash required
var requiredMajorVersion = 6;
// Minor version of Flash required
var requiredMinorVersion = 0;
// Revision of Flash required
var requiredRevision = 0;
// the version of javascript supported
var jsVersion = 1.0;
// -----------------------------------------------------------------------------
// -->

<!-- // Detect Client Browser type
var isIE  = (navigator.appVersion.indexOf("MSIE") != -1) ? true : false;
var isWin = (navigator.appVersion.toLowerCase().indexOf("win") != -1) ? true : false;
var isOpera = (navigator.userAgent.indexOf("Opera") != -1) ? true : false;
jsVersion = 1.1;

function mJSGetSwfVer(i)
{
  var version=0;
  try
	{
    if (eval('new ActiveXObject("ShockwaveFlash.ShockwaveFlash.'+i+'")'))
    {
      version = i;
    }
  }
	catch(e) {}
	return version;
}
// JavaScript helper required to detect Flash Player PlugIn version information
function JSGetSwfVer(i){
	// NS/Opera version >= 3 check for Flash plugin in plugin array
	if (navigator.plugins != null && navigator.plugins.length > 0) {
		if (navigator.plugins["Shockwave Flash 2.0"] || navigator.plugins["Shockwave Flash"]) {
			var swVer2 = navigator.plugins["Shockwave Flash 2.0"] ? " 2.0" : "";
      		var flashDescription = navigator.plugins["Shockwave Flash" + swVer2].description;
			descArray = flashDescription.split(" ");
			tempArrayMajor = descArray[2].split(".");
			versionMajor = tempArrayMajor[0];
			versionMinor = tempArrayMajor[1];
			if ( descArray[3] != "" ) {
				tempArrayMinor = descArray[3].split("r");
			} else {
				tempArrayMinor = descArray[4].split("r");
			}
      		versionRevision = tempArrayMinor[1] > 0 ? tempArrayMinor[1] : 0;
            flashVer = versionMajor + "." + versionMinor + "." + versionRevision;
      	} else {
			flashVer = -1;
		}
	}
	// MSN/WebTV 2.6 supports Flash 4
	else if (navigator.userAgent.toLowerCase().indexOf("webtv/2.6") != -1) flashVer = 4;
	// WebTV 2.5 supports Flash 3
	else if (navigator.userAgent.toLowerCase().indexOf("webtv/2.5") != -1) flashVer = 3;
	// older WebTV supports Flash 2
	else if (navigator.userAgent.toLowerCase().indexOf("webtv") != -1) flashVer = 2;
	// Can't detect in all other cases
	else {

		flashVer = -1;
	}
	return flashVer;
}
// If called with no parameters this function returns a floating point value
// which should be the version of the Flash Player or 0.0
// ex: Flash Player 7r14 returns 7.14
// If called with reqMajorVer, reqMinorVer, reqRevision returns true if that version or greater is available
function DetectFlashVer(reqMajorVer, reqMinorVer, reqRevision)
{
 	reqVer = parseFloat(reqMajorVer + "." + reqRevision);
  // loop backwards through the versions until we find the newest version
	for (i=25;i>0;i--)
  {
		if (isIE && isWin && !isOpera)
    {
			versionStr = mJSGetSwfVer(i);
		} else
    {
			versionStr = JSGetSwfVer(i);
		}
		if (versionStr == -1 )
    {
			return false;
		}
    else
    if (versionStr != 0)
    {
			if(isIE && isWin && !isOpera)
      {
				//tempArray         = versionStr.split(" ");
				//tempString        = tempArray[1];
				//versionArray      = tempString .split(",");
				if (versionStr >= reqMajorVer)
        {
          return true;
        }
        else
        {
          return false;
        };
			}
      else
      {
				versionArray      = versionStr.split(".");
			}
			versionMajor      = versionArray[0];
			versionMinor      = versionArray[1];
			versionRevision   = versionArray[2];

			versionString     = versionMajor + "." + versionRevision;   // 7.0r24 == 7.24
			versionNum        = parseFloat(versionString);
        	// is the major.revision >= requested major.revision AND the minor version >= requested minor
			if ( (versionMajor > reqMajorVer) && (versionNum >= reqVer) )
      {
				return true;
			}
      else
      {
				return ((versionNum >= reqVer && versionMinor >= reqMinorVer) ? true : false );
			}
		}
	}
	return (reqVer ? false : 0.0);
}

var userAgent = navigator.userAgent.toLowerCase();

// Figure out what browser is being used
mbrowser = {
	version: (userAgent.match( /.+(?:rv|it|ra|ie)[\/: ]([\d.]+)/ ) || [])[1],
	safari: /webkit/.test( userAgent ),
	opera: /opera/.test( userAgent ),
	msie: /msie/.test( userAgent ) && !/opera/.test( userAgent ),
	mozilla: /mozilla/.test( userAgent ) && !/(compatible|webkit)/.test( userAgent )
};

  function DetectRightBrouser()
  {
    /*if(mbrowser.opera)
    {
      if(mbrowser.version<8) return false;
    }   */
    return true;
  };
// -->

function AddFlash(fpath,width,height,is_alt_content)
{
  var hasRightVersion = DetectFlashVer(requiredMajorVersion, requiredMinorVersion, requiredRevision);
  var hasRightBrouseVersion=DetectRightBrouser();
  if((hasRightVersion)&&(hasRightBrouseVersion))
  {  // if we've detected an acceptable version
  
    if(fpath=='') return true;
  
    var oeTags = '<object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000"'
              + 'width="'+width+'" height="'+height+'" align="middle"'
              + 'codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab">'
              + '<param name="movie" value="'+fpath+'" /><param name="quality" value="high" /><param name="wmode" value="transparent" /><param name="bgcolor" value="#ffffff" />'
              + '<embed src="'+fpath+'" quality="high" bgcolor="#ffffff" '
              + 'width="'+width+'" height="'+height+'" name="2" align="middle" '
              + 'play="true"'
              + 'loop="true"'
              + 'quality="high"'
              + 'wmode="transparent"'
              + 'allowScriptAccess="sameDomain"'
              + 'type="application/x-shockwave-flash"'
              + 'pluginspage="http://www.macromedia.com/go/getflashplayer">'
              + '<\/embed>'
              + '<\/object>';


    document.write(oeTags);   // embed the flash movie
    
    return true;
  }
  else
  {
    if(!is_alt_content)
    {
      alternateContent = '<br><br><br><br><br><br><div style="padding-left:150px;"><b style="font-family:verdana; font-size:13px; color:#ffffff;">Flash Player Ver 8.0 not Found!</b> <br><br><span style="font-size:12px; font-family:verdana;  color:#ffffff;">You can download the last version here: <a href=\"http://get.adobe.com/flashplayer/trigger/2/\">Download Flash Player</a></span></div>';
      document.write(alternateContent);  // insert non-flash content
    };
    return false;
  };

};
